Subject: RE: Working Group chartering

From: "Gray, Eric" <[email-masked]>
Date: Tue, 10 Jan 2006 12:02:45 -0500

Eric,

--- [SNIP ---
--> IMHO, *way* too many I*E*TF work groups get chartered based on
--> an idea. We then spend tons of resources on figuring out if the
--> idea will work. We produce lots of half-baked documents with 
--> little basis in working code.  Then folks try implementing 
--> what's been spec'ed, find it doesn't work, but then find a ton 
--> of resistance to change, because the specs are three years old 
--> and "we don't want to break draft-mumble-05 implementations."
--> 
--> If something is an idea, let's make it politically acceptable 
--> for the "work" to be done in the I*R*TF first.
--> 
--- [SNIP] ---

I think this is a gross mischaraterization of current practice in
the IETF generally - however many exceptions we might find.

Usually - at least among those of us that work for a living - we
would not bring something to the IETF unless we were already in
the process of implementing it and we have been encouraged by our
employers (or - indirectly - by our customers) to bring it to the
IETF.

When people bring ideas to the IETF that "seem like a good thing"
but aren't practical or implementable at the current time, they
are usually encouraged to take those ideas to the IRTF.

--
Eric

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Burger, Eric" <[email-masked]>
Date: Tue, 10 Jan 2006 18:49:26 -0500

I was responding to the assertion that stuff got to the IETF because the individuals are, for the most part, paid by companies, and thus if someone was proposing a work item, it obviously was motivated by a corporate need.  My statements was an obvious COUNTER-example.  Sorry I didn't make the smiley larger.

 -----Original Message-----
From: 	Harald Tveit Alvestrand [mailto:[email-masked]]
Sent:	Tue Jan 10 18:23:55 2006
To:	James M. Polk; Burger, Eric
Cc:	[email-masked]
Subject:	RE: Working Group chartering

--On tirsdag, januar 10, 2006 12:26:22 -0600 "James M. Polk" 
<[email-masked]> wrote:

> At 12:55 PM 1/10/2006 -0500, Burger, Eric wrote:
>> Also, I am a big proponent of microeconomics, which would have rational
>> actors only put forth and push stuff clearly needed for products.
>> HOWEVER, in the "highest" IETF fashion, I've regularly seen multiple
>> folks from the same company arguing against each other in the working
>> groups.
>
> Now, which company does this sound like?
>
>> I would have much more appreciated their working out their
>> differences at home and bring in their 'corporate' position :)
>
> I do hope you're not even remotely serious with this suggestion...

Seconding James.. a requirement to have unanimous intra-company signoff on 
anything presented to the IETF would be the single quickest way to reduce 
the contributions to the IETF from the companies I've been involved in....

"we are all individuals", in addition to its other properties, is a way to 
let me say things (like this message) in public WITHOUT having to check 
with my "representative" or my "coordinating committee" before sending it.
If my company says "why did you say <stupid thing>", I can always say "it 
was my personal contribution, you don't have to take the blame for it".
Has worked for me so far....